<template>
    <div class="side-bar" id="sideBar" v-if="userType !== 'guest'">
        <ul style="list-style: none; padding: 0;">
            <template v-if="userType === 'publisher'">
                <li><router-link to="/publisher/home" class="side-bar-items"><i class="fas fa-home"></i> Home</router-link></li>
                <li><router-link to="/publisher/my-contents" class="side-bar-items"><i class="fab fa-android"></i> My Contents</router-link></li>
                <li><router-link to="/publisher/wallet" class="side-bar-items"><i class="fas fa-wallet"></i> Earnings</router-link></li>
                <li><router-link to="/publisher/profile" class="side-bar-items"><i class="fas fa-cog"></i> Settings</router-link></li>
                <li><a href="#" class="side-bar-items" v-on:click.prevent="logout"><i class="fas fa-sign-out-alt"></i> Logout</a></li>
            </template>

            <template v-else-if="userType === 'advertiser'">
                <li><router-link to="/advertiser/home" class="side-bar-items"><i class="fas fa-home"></i> Home</router-link></li>
                <li><router-link to="/advertiser/my-ads" class="side-bar-items"><i class="fas fa-ad"></i> My Ads</router-link></li>
                <li><router-link to="/advertiser/wallet" class="side-bar-items"><i class="fas fa-wallet"></i> Wallet</router-link></li>
                <li><router-link to="/advertiser/profile" class="side-bar-items"><i class="fas fa-cog"></i> Settings</router-link></li>
                <li><a href="#" class="side-bar-items" v-on:click.prevent="logout"><i class="fas fa-sign-out-alt"></i> Logout</a></li>
            </template>

            <template v-else-if="userType === 'admin'">
                <li><router-link to="/admin" class="side-bar-items"><i class="fas fa-home"></i> Home</router-link></li>
                <li><router-link to="/admin/profile" class="side-bar-items"><i class="fas fa-cog"></i> Settings</router-link></li>
                <li><a href="#" class="side-bar-items" v-on:click.prevent="logout"><i class="fas fa-sign-out-alt"></i> Logout</a></li>
            </template>

            <template v-else>

            </template>
        </ul>
    </div>
</template>

<script>
    export default {
        data: function() {
            return {
                //userType: this.$store.getters.getUserType,
            }
        },
        methods: {
            logout: function () {
                // Remove the tokens from the localStorage
                localStorage.setItem('access_token', null);
                localStorage.setItem('refresh_token', null);

                // Set the logged in user type to guest
                this.$store.commit('setUserType', 'guest');

                // Redirect the user to the home page
                this.$router.push('/');
            }
        },
        computed: {
            userType: function () {
                return this.$store.getters.getUserType;
            }
        },
        mounted() {
            console.log('Sidebar mounted.')
        }
    }
</script>
